Netlist::File(3pm)

NAME
Verilog::Netlist::File - File containing Verilog code

SYNOPSIS
  use Verilog::Netlist;

  my $nl = new Verilog::Netlist;
  my $fileref = $nl->read_file(filename=>'filename');

DESCRIPTION
Verilog::Netlist::File allows Verilog::Netlist objects to be read and written in Verilog format.

ACCESSORS
See also Verilog::Netlist::Subclass for additional accessors and methods.

$self->basename
    The filename of the file with any path and . suffix stripped off.

$self->name
    The filename of the file.

$self->preproc
    The Verilog::Preproc object this file is using.

MEMBER FUNCTIONS
See also Verilog::Netlist::Subclass for additional accessors and methods.

$self->read
    Generally called as $netlist->read_file. Pass a hash of parameters. Reads the filename=> parameter, parsing all instantiations, ports, and signals, and creating Verilog::Netlist::Module structures.

$self->dump
    Prints debugging information for this file.

DISTRIBUTION
Verilog-Perl is part of the <https://www.veripool.org/> free Verilog EDA software tool suite. The latest version is available from CPAN and from <https://www.veripool.org/verilog-perl>.

Copyright 2000-2024 by Wilson Snyder. This package is free software; you can redistribute it and/or modify it under the terms of either the GNU Lesser General Public License Version 3 or the Perl Artistic License Version 2.0.

AUTHORS
Wilson Snyder <wsnyder@wsnyder.org>

SEE ALSO
Verilog-Perl, Verilog::Netlist::Subclass Verilog::Netlist